Bug 1029053 - [abrt] NetworkManager-0.9.9.0-15.git20131003.fc20: update_permanent_hw_address: Process /usr/sbin/NetworkManager was killed by signal 11 (SIGSEGV) [NEEDINFO]
[abrt] NetworkManager-0.9.9.0-15.git20131003.fc20: update_permanent_hw_addres...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
20
s390x Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:987e4fbac3ff4301acb91684a64...
:
Depends On:
Blocks: ZedoraTracker 1029430
  Show dependency treegraph
 
Reported: 2013-11-11 09:44 EST by Dan Horák
Modified: 2013-11-25 22:58 EST (History)
1 user (show)

See Also:
Fixed In Version: NetworkManager-0.9.9.0-19.git20131003.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1029430 (view as bug list)
Environment:
Last Closed: 2013-11-25 22:58:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
dan: needinfo? (dcbw)


Attachments (Terms of Use)
File: backtrace (26.27 KB, text/plain)
2013-11-11 09:44 EST, Dan Horák
no flags Details
File: cgroup (152 bytes, text/plain)
2013-11-11 09:44 EST, Dan Horák
no flags Details
File: core_backtrace (12.48 KB, text/plain)
2013-11-11 09:44 EST, Dan Horák
no flags Details
File: dso_list (4.11 KB, text/plain)
2013-11-11 09:44 EST, Dan Horák
no flags Details
File: environ (72 bytes, text/plain)
2013-11-11 09:44 EST, Dan Horák
no flags Details
File: exploitable (82 bytes, text/plain)
2013-11-11 09:44 EST, Dan Horák
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-11 09:44 EST, Dan Horák
no flags Details
File: maps (16.13 KB, text/plain)
2013-11-11 09:45 EST, Dan Horák
no flags Details
File: open_fds (2.32 KB, text/plain)
2013-11-11 09:45 EST, Dan Horák
no flags Details
File: proc_pid_status (772 bytes, text/plain)
2013-11-11 09:45 EST, Dan Horák
no flags Details
File: var_log_messages (6.72 KB, text/plain)
2013-11-11 09:45 EST, Dan Horák
no flags Details

  None (edit)
Description Dan Horák 2013-11-11 09:44:29 EST
Description of problem:
crash happens when config file for CTC adapter on s390x is present

Version-Release number of selected component:
NetworkManager-0.9.9.0-15.git20131003.fc20

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/sbin/NetworkManager --no-daemon
crash_function: update_permanent_hw_address
executable:     /usr/sbin/NetworkManager
kernel:         3.11.7-300.fc20.s390x
runlevel:       N 3
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 update_permanent_hw_address
 #1 constructed
 #2 g_object_new_with_custom_constructor at gobject.c:1721
 #3 g_object_new_internal at gobject.c:1744
 #4 g_object_new_valist at gobject.c:2002
 #6 nm_device_ethernet_new
 #7 platform_link_added_cb
 #8 ffi_call_SYSV at ../src/s390/sysv.S:275
 #9 ffi_call at ../src/s390/ffi.c:525
 #10 g_cclosure_marshal_generic at gclosure.c:1454
Comment 1 Dan Horák 2013-11-11 09:44:36 EST
Created attachment 822433 [details]
File: backtrace
Comment 2 Dan Horák 2013-11-11 09:44:40 EST
Created attachment 822434 [details]
File: cgroup
Comment 3 Dan Horák 2013-11-11 09:44:43 EST
Created attachment 822435 [details]
File: core_backtrace
Comment 4 Dan Horák 2013-11-11 09:44:46 EST
Created attachment 822436 [details]
File: dso_list
Comment 5 Dan Horák 2013-11-11 09:44:50 EST
Created attachment 822437 [details]
File: environ
Comment 6 Dan Horák 2013-11-11 09:44:53 EST
Created attachment 822438 [details]
File: exploitable
Comment 7 Dan Horák 2013-11-11 09:44:57 EST
Created attachment 822439 [details]
File: limits
Comment 8 Dan Horák 2013-11-11 09:45:00 EST
Created attachment 822440 [details]
File: maps
Comment 9 Dan Horák 2013-11-11 09:45:03 EST
Created attachment 822441 [details]
File: open_fds
Comment 10 Dan Horák 2013-11-11 09:45:07 EST
Created attachment 822442 [details]
File: proc_pid_status
Comment 11 Dan Horák 2013-11-11 09:45:10 EST
Created attachment 822443 [details]
File: var_log_messages
Comment 12 Dan Williams 2013-11-11 16:44:38 EST
I think the problem is that our ethernet code doesn't correctly handle devices that have no MAC address, and CTC devices don't have one because they aren't ethernet.  But we treat them as ethernet in NM for convenience.

Should be fixed upstream as:

696f655d7c7b605d0344aeb6ba4ff643cd46a5b4
ethernet: don't crash if device doesn't have a MAC address (rh #1029053)
Comment 13 Dan Horák 2013-11-15 05:08:46 EST
I can confirm the fix from comment #12 fixes the issue, no crash with CTC adapter configured. Can we expect an updated build soon?
Comment 14 Fedora Update System 2013-11-20 09:31:57 EST
NetworkManager-0.9.9.0-19.git20131003.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/NetworkManager-0.9.9.0-19.git20131003.fc20
Comment 15 Fedora Update System 2013-11-23 22:41:47 EST
Package NetworkManager-0.9.9.0-19.git20131003.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing NetworkManager-0.9.9.0-19.git20131003.fc20'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-21973/NetworkManager-0.9.9.0-19.git20131003.fc20
then log in and leave karma (feedback).
Comment 16 Fedora Update System 2013-11-25 22:58:34 EST
NetworkManager-0.9.9.0-19.git20131003.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.